AFSEEKFRAME(3)

NAME
afSeekFrame, afTellFrame - update or access the current sample frame position for a track in an audio file

SYNOPSIS

#include <audiofile.h>

AFframecount afSeekFrame(AFfilehandle file, int track,
    AFframecount frameOffset);

AFframecount afTellFrame(AFfilehandle file, int track);

PARAMETERS

file is a valid audio file handle created by afOpenFile(3).

track identifies an audio track within the file. track is always AF_DEFAULT_TRACK for all currently supported audio file formats.

frameOffset is a sample frame offset. Valid sample frame offsets must be greater than or equal to zero and strictly less than the number of sample frames contained within the specified audio track. The special value -1 is also allowed.

DESCRIPTION

afSeekFrame moves the logical file position for a specified audio track to a desired sample frame location. If frameOffset is -1, afSeekFrame will not modify the current file offset and will instead return the current file position.

afTellFrame returns current file position in sample frames.

RETURN VALUE

On success, afSeekFrame and afTellFrame will return the current file position as measured in sample frames from the start of the audio track. On failure, afSeekFrame and afTellFrame will return the value -1.

ERRORS

The following errors can be generated by afSeekFrame or afTellFrame:

AF_BAD_FILEHANDLE
    file does not represent a valid file handle.

AF_BAD_TRACK
    track does not identify a valid track.

AF_BAD_LSEEK
    A call to lseek failed.

AUTHOR

Michael Pruett <michael@68k.org>